Package gov.nasa.gsfc.sscweb.schema

# Class SatelliteData

java.lang.Object
gov.nasa.gsfc.sscweb.schema.SatelliteData

public class SatelliteData extends Object
Information about a satellite. <p>Java class for SatelliteData complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="SatelliteData"> <complexContent> <restriction base="{http://www.w3.org/2001/XMLSchema}anyType"> <sequence> <element name="Id" type="{http://sscweb.gsfc.nasa.gov/schema}SatelliteId"/> <element name="Coordinates" type="{http://sscweb.gsfc.nasa.gov/schema}CoordinateData" maxOccurs="unbounded" minOccurs="0"/> <element name="Time" type="{http://www.w3.org/2001/XMLSchema}dateTime" maxOccurs="unbounded" minOccurs="0"/> <element name="BTraceData" type="{http://sscweb.gsfc.nasa.gov/schema}BTraceData" maxOccurs="unbounded" minOccurs="0"/> <element name="RadialLength" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="MagneticStrength" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="NeutralSheetDistance" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="BowShockDistance" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="MagnetoPauseDistance" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="DipoleLValue" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="DipoleInvariantLatitude" type="{http://www.w3.org/2001/XMLSchema}float" maxOccurs="unbounded" minOccurs="0"/> <element name="SpacecraftRegion" type="{http://sscweb.gsfc.nasa.gov/schema}SpaceRegion" maxOccurs="unbounded" minOccurs="0"/> <element name="RadialTracedFootpointRegions" type="{http://sscweb.gsfc.nasa.gov/schema}FootpointRegion" maxOccurs="unbounded" minOccurs="0"/> <element name="BGseX" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="BGseY" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="BGseZ" type="{http://www.w3.org/2001/XMLSchema}double" maxOccurs="unbounded" minOccurs="0"/> <element name="NorthBTracedFootpointRegions" type="{http://sscweb.gsfc.nasa.gov/schema}FootpointRegion" maxOccurs="unbounded" minOccurs="0"/> <element name="SouthBTracedFootpointRegions" type="{http://sscweb.gsfc.nasa.gov/schema}FootpointRegion" maxOccurs="unbounded" minOccurs="0"/> </sequence> </restriction> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected List<Double>`
  `bGseX`
  B GSE X value.
  `protected List<Double>`
  `bGseY`
  B GSE Y value.
  `protected List<Double>`
  `bGseZ`
  B GSE Z value.
  `protected List<Double>`
  `bowShockDistance`
  Distance from bow shock.
  `protected List<BTraceData>`
  `bTraceData`
  B-field trace data.
  `protected List<CoordinateData>`
  `coordinates`
  Coordinate data
  `protected List<Float>`
  `dipoleInvariantLatitude`
  Dipole invariant latitude value.
  `protected List<Double>`
  `dipoleLValue`
  Dipole L value.
  `protected String`
  `id`
  Identifies the satellite this data for.
  `protected List<Double>`
  `magneticStrength`
  Magnetic field strength.
  `protected List<Double>`
  `magnetoPauseDistance`
  Distance from magneto pause.
  `protected List<Double>`
  `neutralSheetDistance`
  Distance from neutral sheet.
  `protected List<FootpointRegion>`
  `northBTracedFootpointRegions`
  North B traced footpoint regions.
  `protected List<Double>`
  `radialLength`
  Distance from center of Earth.
  `protected List<FootpointRegion>`
  `radialTracedFootpointRegions`
  Radial traced footpoint regions.
  `protected List<FootpointRegion>`
  `southBTracedFootpointRegions`
  South B traced footpoint regions.
  `protected List<SpaceRegion>`
  `spacecraftRegion`
  Spacecraft region.
  `protected List<XMLGregorianCalendar>`
  `time`
  Time associated with each data point.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SatelliteData()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Double>`
  `getBGseX()`
  B GSE X value.
  `List<Double>`
  `getBGseY()`
  B GSE Y value.
  `List<Double>`
  `getBGseZ()`
  B GSE Z value.
  `List<Double>`
  `getBowShockDistance()`
  Distance from bow shock.
  `List<BTraceData>`
  `getBTraceData()`
  B-field trace data.
  `List<CoordinateData>`
  `getCoordinates()`
  Coordinate data Gets the value of the coordinates property.
  `List<Float>`
  `getDipoleInvariantLatitude()`
  Dipole invariant latitude value.
  `List<Double>`
  `getDipoleLValue()`
  Dipole L value.
  `String`
  `getId()`
  Identifies the satellite this data for.
  `List<Double>`
  `getMagneticStrength()`
  Magnetic field strength.
  `List<Double>`
  `getMagnetoPauseDistance()`
  Distance from magneto pause.
  `List<Double>`
  `getNeutralSheetDistance()`
  Distance from neutral sheet.
  `List<FootpointRegion>`
  `getNorthBTracedFootpointRegions()`
  North B traced footpoint regions.
  `List<Double>`
  `getRadialLength()`
  Distance from center of Earth.
  `List<FootpointRegion>`
  `getRadialTracedFootpointRegions()`
  Radial traced footpoint regions.
  `List<FootpointRegion>`
  `getSouthBTracedFootpointRegions()`
  South B traced footpoint regions.
  `List<SpaceRegion>`
  `getSpacecraftRegion()`
  Spacecraft region.
  `List<XMLGregorianCalendar>`
  `getTime()`
  Time associated with each data point.
  `void`
  `setId(String value)`
  Sets the value of the id property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected String id
    Identifies the satellite this data for.

  - ### coordinates

    protected List<CoordinateData> coordinates
    Coordinate data

  - ### time

    protected List<XMLGregorianCalendar> time
    Time associated with each data point.

  - ### bTraceData

    protected List<BTraceData> bTraceData
    B-field trace data.

  - ### radialLength

    protected List<Double> radialLength
    Distance from center of Earth.

  - ### magneticStrength

    protected List<Double> magneticStrength
    Magnetic field strength.

  - ### neutralSheetDistance

    protected List<Double> neutralSheetDistance
    Distance from neutral sheet.

  - ### bowShockDistance

    protected List<Double> bowShockDistance
    Distance from bow shock.

  - ### magnetoPauseDistance

    protected List<Double> magnetoPauseDistance
    Distance from magneto pause.

  - ### dipoleLValue

    protected List<Double> dipoleLValue
    Dipole L value.

  - ### dipoleInvariantLatitude

    protected List<Float> dipoleInvariantLatitude
    Dipole invariant latitude value.

  - ### spacecraftRegion

    protected List<SpaceRegion> spacecraftRegion
    Spacecraft region.

  - ### radialTracedFootpointRegions

    protected List<FootpointRegion> radialTracedFootpointRegions
    Radial traced footpoint regions.

  - ### bGseX

    protected List<Double> bGseX
    B GSE X value.

  - ### bGseY

    protected List<Double> bGseY
    B GSE Y value.

  - ### bGseZ

    protected List<Double> bGseZ
    B GSE Z value.

  - ### northBTracedFootpointRegions

    protected List<FootpointRegion> northBTracedFootpointRegions
    North B traced footpoint regions.

  - ### southBTracedFootpointRegions

    protected List<FootpointRegion> southBTracedFootpointRegions
    South B traced footpoint regions.

- ## Constructor Details

  - ### SatelliteData

    public SatelliteData()

- ## Method Details

  - ### getId

    public String getId()
    Identifies the satellite this data for.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getId()`

  - ### getCoordinates

    public List<CoordinateData> getCoordinates()
    Coordinate data Gets the value of the coordinates property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the coordinates property.

    For example, to add a new item, do as follows:

         getCoordinates().add(newItem);

    Objects of the following type(s) are allowed in the list `CoordinateData`

    Returns:
      The value of the coordinates property.

  - ### getTime

    public List<XMLGregorianCalendar> getTime()
    Time associated with each data point. Gets the value of the time property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the time property.

    For example, to add a new item, do as follows:

         getTime().add(newItem);

    Objects of the following type(s) are allowed in the list `XMLGregorianCalendar`

    Returns:
      The value of the time property.

  - ### getBTraceData

    public List<BTraceData> getBTraceData()
    B-field trace data. Gets the value of the bTraceData property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the bTraceData property.

    For example, to add a new item, do as follows:

         getBTraceData().add(newItem);

    Objects of the following type(s) are allowed in the list `BTraceData`

    Returns:
      The value of the bTraceData property.

  - ### getRadialLength

    public List<Double> getRadialLength()
    Distance from center of Earth. Gets the value of the radialLength property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the radialLength property.

    For example, to add a new item, do as follows:

         getRadialLength().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the radialLength property.

  - ### getMagneticStrength

    public List<Double> getMagneticStrength()
    Magnetic field strength. Gets the value of the magneticStrength property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the magneticStrength property.

    For example, to add a new item, do as follows:

         getMagneticStrength().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the magneticStrength property.

  - ### getNeutralSheetDistance

    public List<Double> getNeutralSheetDistance()
    Distance from neutral sheet. Gets the value of the neutralSheetDistance property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the neutralSheetDistance property.

    For example, to add a new item, do as follows:

         getNeutralSheetDistance().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the neutralSheetDistance property.

  - ### getBowShockDistance

    public List<Double> getBowShockDistance()
    Distance from bow shock. Gets the value of the bowShockDistance property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the bowShockDistance property.

    For example, to add a new item, do as follows:

         getBowShockDistance().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the bowShockDistance property.

  - ### getMagnetoPauseDistance

    public List<Double> getMagnetoPauseDistance()
    Distance from magneto pause. Gets the value of the magnetoPauseDistance property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the magnetoPauseDistance property.

    For example, to add a new item, do as follows:

         getMagnetoPauseDistance().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the magnetoPauseDistance property.

  - ### getDipoleLValue

    public List<Double> getDipoleLValue()
    Dipole L value. Gets the value of the dipoleLValue property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the dipoleLValue property.

    For example, to add a new item, do as follows:

         getDipoleLValue().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the dipoleLValue property.

  - ### getDipoleInvariantLatitude

    public List<Float> getDipoleInvariantLatitude()
    Dipole invariant latitude value. Gets the value of the dipoleInvariantLatitude property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the dipoleInvariantLatitude property.

    For example, to add a new item, do as follows:

         getDipoleInvariantLatitude().add(newItem);

    Objects of the following type(s) are allowed in the list `Float`

    Returns:
      The value of the dipoleInvariantLatitude property.

  - ### getSpacecraftRegion

    public List<SpaceRegion> getSpacecraftRegion()
    Spacecraft region. Gets the value of the spacecraftRegion property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the spacecraftRegion property.

    For example, to add a new item, do as follows:

         getSpacecraftRegion().add(newItem);

    Objects of the following type(s) are allowed in the list `SpaceRegion`

    Returns:
      The value of the spacecraftRegion property.

  - ### getRadialTracedFootpointRegions

    public List<FootpointRegion> getRadialTracedFootpointRegions()
    Radial traced footpoint regions. Gets the value of the radialTracedFootpointRegions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the radialTracedFootpointRegions property.

    For example, to add a new item, do as follows:

         getRadialTracedFootpointRegions().add(newItem);

    Objects of the following type(s) are allowed in the list `FootpointRegion`

    Returns:
      The value of the radialTracedFootpointRegions property.

  - ### getBGseX

    public List<Double> getBGseX()
    B GSE X value. Gets the value of the bGseX property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the bGseX property.

    For example, to add a new item, do as follows:

         getBGseX().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the bGseX property.

  - ### getBGseY

    public List<Double> getBGseY()
    B GSE Y value. Gets the value of the bGseY property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the bGseY property.

    For example, to add a new item, do as follows:

         getBGseY().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the bGseY property.

  - ### getBGseZ

    public List<Double> getBGseZ()
    B GSE Z value. Gets the value of the bGseZ property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the bGseZ property.

    For example, to add a new item, do as follows:

         getBGseZ().add(newItem);

    Objects of the following type(s) are allowed in the list `Double`

    Returns:
      The value of the bGseZ property.

  - ### getNorthBTracedFootpointRegions

    public List<FootpointRegion> getNorthBTracedFootpointRegions()
    North B traced footpoint regions. Gets the value of the northBTracedFootpointRegions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the northBTracedFootpointRegions property.

    For example, to add a new item, do as follows:

         getNorthBTracedFootpointRegions().add(newItem);

    Objects of the following type(s) are allowed in the list `FootpointRegion`

    Returns:
      The value of the northBTracedFootpointRegions property.

  - ### getSouthBTracedFootpointRegions

    public List<FootpointRegion> getSouthBTracedFootpointRegions()
    South B traced footpoint regions. Gets the value of the southBTracedFootpointRegions property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the Jakarta XML Binding object. This is why there is not a `set` method for the southBTracedFootpointRegions property.

    For example, to add a new item, do as follows:

         getSouthBTracedFootpointRegions().add(newItem);

    Objects of the following type(s) are allowed in the list `FootpointRegion`

    Returns:
      The value of the southBTracedFootpointRegions property.